/*    ILFIVE lisp objects library -- initialisation
 *
 *    Copyright (c) 1991--1998 Alexandru Dan Corlan M.D.
 * 
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU Library General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    In short, you can use and modify this program. You can
 *    distribute the program with or without your modifications if you want,
 *    but you must not require licence fees and must provide the
 *    full source code with the distribution. If you make an application program
 *    which just calls functions from this library you may distribute that
 *    application program without source code, but also as an linkable object file, 
 *    and must distribute also this library with source code.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Library General Public License for more details.
 *
 *    You should have received a copy of the GNU Library General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *    Created 30th of March 1991.
 */

#include <stdio.h>

#include <shpell5.h>

void il5(int a)
 
/* a==1 if you want a verbose initialisation */

  {
  shpell(a);
  if(a) printf("shpell5 done\n");
  il5god();
  if(a) printf("il5god done\n");
  il5packs();
  if(a) printf("il5packs done\n");
  il5read();
  if(a) printf("il5read done\n");
  il5print();
  if(a) printf("il5print done\n");
  il5eq();

/*  il5life();
  il5check(); /* // strange, they didn't work with gcc2.6.3. OR gcc 2.7.2
                   // : segmentation fault 
  il5minim();
  il5ctrl();
  il5sysf(); */

  il5io();
  if(a) printf("il5io done\n");
  il5char();
  if(a) printf("il5char done\n");
  il5vars();
  if(a) printf("il5vars done\n");
  }


/* End of the initialisation package */


